List file processings
FileProcessings
List file processings
Retrieves a paginated list of file processings with optional filtering.
GET
List file processings
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Number of items to skip before starting to collect the result set.
Required range:
0 <= x <= 9007199254740991Example:
0
Number of items to include in the result set.
Required range:
1 <= x <= 100Example:
25
Field to order the result set by.
Available options:
createdAt, modifiedAt, fileName, type, status, startedAt, completedAt, id Example:
"createdAt"
Order direction.
Available options:
asc, desc Example:
"desc"
Filter by quickstart ID
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Filter by file processing type
Available options:
QUICKSTART_CSV, TASKS_CSV, DOCUMENTS_CSV, DOCUMENTS_MARKDOWN, DOCUMENTS_XLSX, CONVERSATIONS_CSV Example:
"QUICKSTART_CSV"
Filter by file processing status
Available options:
PENDING, IN_PROGRESS, COMPLETED, FAILED Example:
"COMPLETED"